MONGOC_CLIENT_SESSION_COMMIT_TRANSACTION(3)

NAME
mongoc_client_session_commit_transaction - mongoc_client_session_commit_transaction()

SYNOPSIS

        bool
        mongoc_client_session_commit_transaction (mongoc_client_session_t *session,
                                                  bson_t *reply,
                                                  bson_error_t *error);

Commit a multi-document transaction.

PARAMETERS

    •   session: A mongoc_client_session_t.

    •   reply: An optional uninitialized bson_t to receive the server reply, or NULL.

    •   error: An optional location for a bson_error_t or NULL.

RETURN

Returns true if the transaction was committed. Returns false and sets error if there are invalid arguments, such as a session with no transaction in progress, or if there is a server or network error.

If a reply is supplied, it is always initialized and must be freed with bson_destroy().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc